Subject: Re: [sipcore] AD Evaluation of draft-ietf-sipcore-content-id-05 - PULL REQUEST

From: Christer Holmberg <[email-masked]>
Date: Mon, 5 Jun 2017 07:37:48 +0000

Hi,

Nobody has indicated a need for globally uniqueness, so my suggestion is
to merge the PR and submit a new version of the draft.

Regards,

Christer

On 01/06/17 00:41, "Christer Holmberg" <[email-masked]>
wrote:

>Hi,
>
>I really think that mandating global uniqueness, for a possible use-case
>that nobody is still aware of, is overkill.
>
>IF such use-case comes up, someone can always update the spec in order to
>mandate a globally unique value for such use-case. Alternatively, the
>value can be used together with some other value(s) (Call-ID,
>transaction-id, CSeq etc etc etc) in order to create a unique reference.
>
>Regards,
>
>Christer 
>
>-----Original Message-----
>From: Ben Campbell [mailto:[email-masked]]
>Sent: 31 May 2017 22:03
>To: Christer Holmberg <[email-masked]>
>Cc: A. Jean Mahoney <[email-masked]>;
>[email-masked]; [email-masked]
>Subject: Re: AD Evaluation of draft-ietf-sipcore-content-id-05 - PULL
>REQUEST
>
>
>> On May 28, 2017, at 1:40 PM, Christer Holmberg
>><[email-masked]> wrote:
>> 
>> Hi,
>> 
>>>>>> I have created a pull request, based on your comments:
>>>>>> https://github.com/cdh4u/draft-content-id/pull/6
>>>>> The diff looks fine. We probably want to make sure the WG shares
>>>>> the opinion that the Content-ID will never be referenced from
>>>>> outside the SIP message.
>>>>> Jean, do  you have thoughts on that from the shepherd perspective?
>>>> 
>>>> The WG did discuss whether the Content-ID could be used outside of
>>>>the message. 
>>>> The takeaway was, that since a SIP header has non-MIME fields, the
>>>> Content-ID can't really refer to the entire message, and thus would
>>>>not be useful outside the message.
>>> 
>>> There seems to be two ideas intertwined there; namely the idea of
>>> what a content-ID identifies, and the idea of whether a content-ID
>>>could be referred to from outside the containing SIP message.
>>> But I take your comment to mean that both were discussed. Is that
>>>correct?
>> 
>> As far as I remember, we did not discuss the possibility of referencing
>>a body outside the SIP message.
>> 
>> However, nobody has requested for that possibility, so I don't think we
>>need to cover it. If someone, as some point, see a need for it, he/she
>>can update the spec and define how it is done, what impacts it has on
>>the uniqueness etc.
>
>It’s kind of hard to define extra-message references later if the initial
>version does not require global uniqueness. If people want to leave that
>option open, then global uniqueness may still make sense now. I’m okay
>with it either way as long as the WG has thought it through, and hasn’t
>just picked it arbitrarily.
>
>> 
>> Regards,
>> 
>> Christer
>> 
>> 
>> 
>>>>> However, I wasnąt sure how to address the following comment:
>>>>> "1.2 and 1.3: A sentence or two that more strongly contrasts "body
>>>>> part" vs "message-body" would be helpful. I think that some people
>>>>> will think of a message-body as still a body-part.˛ I think section
>>>>> 1.1 describes the difference between a message-body and a body-part.
>>>>> I donąt think we should copy/paste that in sections 1.2 and 1.3.
>>>>> Or, did I misunderstand you comment?
>>>> On reflection, I think this might be fine like it is. I know that
>>>> some people casually refer to the entire body as still a “part”, but
>>>> that doesn’t seem to be reflected in the MIME RFCs. Let’s see if
>>>> anyone comments in LC.
>>>>> Regards,
>>>>> Christer
>> 
>

---

From: Ben Campbell <[email-masked]>
Date: Mon, 5 Jun 2017 08:52:10 -0500

Thanks.

I spoke to Alexey offline.  He concurred that global uniqueness should not be required.

Please submit a new version at your convenience.

Thanks!

Ben.

> On Jun 5, 2017, at 2:37 AM, Christer Holmberg <[email-masked]> wrote:
> 
> Hi,
>

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 5 Jun 2017 15:34:13 +0000

Hi,

>Please submit a new version at your convenience.

Version -06 submitted :)

Regards,

Christer

> Nobody has indicated a need for globally uniqueness, so my suggestion 
> is to merge the PR and submit a new version of the draft.
> 
> Regards,
> 
> Christer
> 
> 
> 
>> I really think that mandating global uniqueness, for a possible 
>> use-case that nobody is still aware of, is overkill.
>> 
>> IF such use-case comes up, someone can always update the spec in 
>> order to mandate a globally unique value for such use-case. 
>> Alternatively, the value can be used together with some other 
>> value(s) (Call-ID, transaction-id, CSeq etc etc etc) in order to create a unique reference.
>> 
>> Regards,
>> 
>> Christer
>> 
>>>>> Content-ID can't really refer to the entire message, and thus 
>>>>> would not be useful outside the message.
>>>> 
>>> As far as I remember, we did not discuss the possibility of 
>>> referencing a body outside the SIP message.
>>> 
>>> However, nobody has requested for that possibility, so I don't think 
>>> we need to cover it. If someone, as some point, see a need for it, 
>>> he/she can update the spec and define how it is done, what impacts 
>>> it has on the uniqueness etc.
>> 
>> It’s kind of hard to define extra-message references later if the 
>> initial version does not require global uniqueness. If people want to 
>> leave that option open, then global uniqueness may still make sense 
>> now. I’m okay with it either way as long as the WG has thought it 
>> through, and hasn’t just picked it arbitrarily.
>> 
>>> 
>>> Regards,
>>> 
>>> Christer
>>> 
>>> 
>>> 
>>>>>> "1.2 and 1.3: A sentence or two that more strongly contrasts 
>>>>>> "body part" vs "message-body" would be helpful. I think that some 
>>>>>> people will think of a message-body as still a body-part.˛ I 
>>>>>> think section
>>>>> some people casually refer to the entire body as still a “part”, 
>>>>> but that doesn’t seem to be reflected in the MIME RFCs. Let’s see 
>>>>> if anyone comments in LC.
>>>>>> Regards,
>>>>>> Christer
>>> 
>> 
>